// Copyright (c) 2024 Codemongous LLC. All Rights Reserved.

#include "SCW_UAIGraph.h"
#include "AIGraph.h"
#include "SourcifyCoreUEWrapperModule.h"

using namespace Sourcify;

SCW_UAIGraph::SCW_UAIGraph(UAIGraph* InAIGraph) : SCW_UEdGraph(InAIGraph), AIGraph(InAIGraph)
{

}

UAIGraph* SCW_UAIGraph::ToUAIGraph() const
{
	return AIGraph;
}

ISCW_UAIGraphPtr SCW_UAIGraph::ToUAIGraphPtr()
{
	return GetSharedThisAs<SCW_UAIGraph>();
}

ISCW_UAIGraphConstPtr SCW_UAIGraph::ToUAIGraphPtr() const
{
	return GetSharedThisAs<SCW_UAIGraph>();
}